%if 0%{?el7}
%define dist .el7
%endif

Name:           clamav-unofficial-sigs
Version:        4.6.1
Release:        1%{?dist}
Summary:        Scripts to download unoffical clamav signatures 
Group:          Applications/System
License:        BSD
#URL:            http://unofficial-sigs.sourceforge.net/
#Source0:        http://sourceforge.net/projects/unofficial-sigs/files/%{name}-%{version}.tar.gz
URL:            https://github.com/extremeshok/clamav-unofficial-sigs
Source0:        https://github.com/extremeshok/%{name}/archive/%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       clamav clamav-update rsync gnupg diffutils curl bind-utils

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
This package contains scripts and configuration files
that provide the capability to download, test, and 
update the 3rd-party signature databases provide by 
Sanesecurity, SecuriteInfo, MalwarePatrol, OITC, 
INetMsg and ScamNailer.

%prep
%setup -q
iconv -f iso8859-1 -t utf-8 CHANGELOG > CHANGELOG.conv && mv -f CHANGELOG.conv CHANGELOG
sed -i 's:/usr/local/bin/:/usr/bin/:' clamav-unofficial-sigs-cron
sed -i 's:-c /usr/local/etc/clamav-unofficial-sigs.conf:\&>/dev/null:' clamav-unofficial-sigs-cron
sed -i 's:"clamav":"clamupdate":' clamav-unofficial-sigs.conf
sed -i 's:/var/run/clamd.pid:/var/run/clamd.scan/clamd.pid:' clamav-unofficial-sigs.conf
sed -i 's:root:clamupdate:g' clamav-unofficial-sigs-logrotate
sed -i 's:default_config="/etc/clamav-unofficial-sigs.conf":default_config="/etc/clamav-unofficial-sigs/clamav-unofficial-sigs.conf":' clamav-unofficial-sigs.sh

%build
#nothing to do here

%install
rm -rf $RPM_BUILD_ROOT
install -d -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -d -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.d
install -d -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
install -d -p $RPM_BUILD_ROOT%{_bindir}
install -d -p $RPM_BUILD_ROOT%{_mandir}/man8
install -d -p $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}
install -d -p $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}
install -d -p $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/ham-test
install -p -m0755 clamav-unofficial-sigs.sh $RPM_BUILD_ROOT%{_bindir}/clamav-unofficial-sigs.sh
install -p -m0755 clamd-status.sh $RPM_BUILD_ROOT%{_bindir}/clamd-status.sh
install -p -m0644 clamav-unofficial-sigs-cron $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/clamav-unofficial-sigs
install -p -m0644 clamav-unofficial-sigs-logrotate $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/clamav-unofficial-sigs
install -p -m0644 clamav-unofficial-sigs.8 $RPM_BUILD_ROOT%{_mandir}/man8/clamav-unofficial-sigs.8
pushd $RPM_BUILD_ROOT%{_mandir}/man8/
ln -s clamav-unofficial-sigs.8 clamav-unofficial-sigs.sh.8
popd
install -p -m0644 clamav-unofficial-sigs.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/clamav-unofficial-sigs.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.md CHANGELOG
%{!?_licensedir:%global license %%doc}
%license LICENSE
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/clamav-unofficial-sigs.conf
%config(noreplace) %{_sysconfdir}/cron.d/*
%config(noreplace) %{_sysconfdir}/logrotate.d/*
%{_bindir}/*
%{_mandir}/man8/*
%attr(0755,clamupdate,clamupdate) %dir %{_localstatedir}/log/%{name}
%attr(0755,clamupdate,clamupdate) %dir %{_localstatedir}/lib/%{name}
%attr(0755,clamupdate,clamupdate) %dir %{_localstatedir}/lib/%{name}/ham-test

%changelog
* Fri Oct 16 2015 momo-i <webmaster@momo-i.org> - 4.6.1-1
- Update to 4.6.1

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 4.5.3-13
- Update dist for centos7

* Thu Aug 13 2015 momo-i <webmaster@momo-i.org> - 4.5.3-12
- Update to 4.5.3

* Wed Aug 12 2015 momo-i <webmaster@momo-i.org> - 4.5.2-12
- Update to 4.5.2

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 4.5.1-12
- Rebuilt for fc23

* Mon Jul 27 2015 momo-i <webmaster@momo-i.org> - 4.5.1-11
- Update to 4.5.1

* Fri Jul 03 2015 momo-i <webmaster@momo-i.org> - 4.5.0-11
- Update to 4.5.0

* Tue Jun 09 2015 momo-i <webmaster@momo-i.org> - 4.4.4-11
- Fixed unchanged settings

* Tue Jun 09 2015 momo-i <webmaster@momo-i.org> - 4.4.4-10
- Update to 4.4.4
- Cleanup changelog

* Thu May 28 2015 momo-i <webmaster@momo-i.org> - 4.4.3-10
- Update to 4.4.3

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 3.7.2-10
- Rebuilt for fc22

* Tue Oct 22 2013 momo-i <webmaster@momo-i.org> - 3.7.2-9
- Update to 3.7.2
